/**
 * Copyright © schukai GmbH and all contributing authors, {{copyRightYear}}. All rights reserved.
 * Node module: @schukai/monster
 *
 * This source code is licensed under the GNU Affero General Public License version 3 (AGPLv3).
 * The full text of the license can be found at: https://www.gnu.org/licenses/agpl-3.0.en.html
 *
 * For those who do not wish to adhere to the AGPLv3, a commercial license is available.
 * Acquiring a commercial license allows you to use this software without complying with the AGPLv3 terms.
 * For more information about purchasing a commercial license, please contact schukai GmbH.
 *
 * SPDX-License-Identifier: AGPL-3.0
 */

import { ATTRIBUTE_PREFIX } from "../../dom/constants.mjs";

/**
 * @since 1.0.0
 * @type {string}
 */
const STYLE_DISPLAY_MODE_BLOCK = "block";

/**
 * This attribute `data-monster-url` can be used to pass a URL to the control.
 *
 * @since 1.0.0
 * @type {string}
 */
const ATTRIBUTE_FORM_URL = `${ATTRIBUTE_PREFIX}url`;

/**
 * This attribute `data-monster-reload` can be used to control the reload.
 *
 * valid values: onshow
 *
 * @since 1.11.0
 * @type {string}
 */
const ATTRIBUTE_FORM_RELOAD = `${ATTRIBUTE_PREFIX}reload`;

/**
 * `data-monster-intend`
 *
 * @since 1.9.0
 * @type {string}
 */
const ATTRIBUTE_VISIBILITY = `${ATTRIBUTE_PREFIX}visibility`;
/**
 * `data-monster-intend`
 *
 * @since 1.9.0
 * @deprecated since 3.32.0
 * @type {string}
 */
const ATTRIBUTE_BUTTON_CLASS = `${ATTRIBUTE_PREFIX}button-class`;

/**
 * `data-monster-intend`
 *
 * @since 1.8.0
 * @type {string}
 */
const ATTRIBUTE_INTEND = `${ATTRIBUTE_PREFIX}intend`;

/**
 * `data-monster-has-children`
 *
 * @since 1.8.0
 * @type {string}
 */
const ATTRIBUTE_HAS_CHILDREN = `${ATTRIBUTE_PREFIX}has-children`;

/**
 * This attribute `data-monster-datasource` can be used to pass a datasource.
 *
 * @since 1.6.0
 * @type {string}
 */
const ATTRIBUTE_FORM_DATASOURCE = `${ATTRIBUTE_PREFIX}datasource`;

/**
 * This attribute `data-monster-datasource-arguments` can be used to pass arguments.
 *
 * @since 1.6.0
 * @type {string}
 */
const ATTRIBUTE_FORM_DATASOURCE_ARGUMENTS = `${ATTRIBUTE_PREFIX}datasource-arguments`;

/**
 * This attribute `data-monster-button-label` can be used to pass labels.
 *
 * @since 1.6.0
 * @type {string}
 */
const ATTRIBUTE_BUTTON_LABEL = `${ATTRIBUTE_PREFIX}button-label`;

export {
	ATTRIBUTE_BUTTON_LABEL,
	STYLE_DISPLAY_MODE_BLOCK,
	ATTRIBUTE_FORM_URL,
	ATTRIBUTE_FORM_DATASOURCE,
	ATTRIBUTE_FORM_DATASOURCE_ARGUMENTS,
	ATTRIBUTE_INTEND,
	ATTRIBUTE_VISIBILITY,
	ATTRIBUTE_FORM_RELOAD,
	ATTRIBUTE_HAS_CHILDREN,
	ATTRIBUTE_BUTTON_CLASS,
};
